2020-09-22 06:44 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002718NetSurfCore-specificpublic2020-05-27 09:14
ReporterNiclas Rosenvik 
Assigned ToVincent Sanders 
SeveritytrivialReproducibilityalways 
StatusclosedResolutionfixed 
PlatformOSNetBSDOS Version7 and 8
Product Version 
Target VersionFixed in Version3.10 
Summary0002718: NetBSD has strcasestr and NetBSD 8 or later has strchrnul
DescriptionNetBSD has strcasestr and strchrnul but netsurf does not see this.
Steps To ReproduceBuild on NetBSD and watch the messages about redundant declaration of strcasestr and strchrnul
Additional InformationAttached it a patch that fixes this. It is based on the patch at
http://cvsweb.netbsd.org/bsdweb.cgi/pkgsrc/www/netsurf/patches/patch-netsurf_utils_config.h?only_with_tag=MAIN
made by me and Leonardo Taccari (leot@) .
TagsNo tags attached.
Fixed in CI build #4899
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0002125

Vincent Sanders (administrator)

applied a slightly altered version of the patch so it works when not on net bsd

http://source.netsurf-browser.org/netsurf.git/commit/?id=2d57934be8a46dadd5b149e66acc0477bea8b975

Vincent Sanders

~0002233

Vincent Sanders (administrator)

Thankyou for reporting this issue.
We believe this is fixed in the 3.10 release.
If this is not the case please feel free to reopen the issue with additional details.
+Notes

-Issue History
Date Modified Username Field Change
2019-11-12 21:46 Niclas Rosenvik New Issue
2019-11-12 21:46 Niclas Rosenvik File Added: config.h.gitdiff
2019-11-13 19:44 Vincent Sanders Assigned To => Vincent Sanders
2019-11-13 19:44 Vincent Sanders Status new => resolved
2019-11-13 19:44 Vincent Sanders Resolution open => fixed
2019-11-13 19:44 Vincent Sanders Fixed in Version => 3.10
2019-11-13 19:44 Vincent Sanders Additional Information Updated View Revisions
2019-11-13 19:44 Vincent Sanders Fixed in CI build # => 4899
2019-11-13 19:44 Vincent Sanders Note Added: 0002125
2020-05-27 09:14 Vincent Sanders Status resolved => closed
2020-05-27 09:14 Vincent Sanders Note Added: 0002233
+Issue History